
_interrupt:

;UsbHid.c,4 :: 		void interrupt()
;UsbHid.c,6 :: 		USB_Interrupt_Proc(); // La maintenance USB est effectue  l'intrieur de l'interruption
	CALL        _USB_Interrupt_Proc+0, 0
;UsbHid.c,7 :: 		}
L__interrupt29:
	RETFIE      1
; end of _interrupt

_init:

;UsbHid.c,9 :: 		void init()
;UsbHid.c,11 :: 		CMCON = 0x07;
	MOVLW       7
	MOVWF       CMCON+0 
;UsbHid.c,12 :: 		ADON_bit = 0; // On dsactive le convertisseur A/N
	BCF         ADON_bit+0, 0 
;UsbHid.c,13 :: 		ADCON1 = 0xFFFF;  // On configure les broches en Digital
	MOVLW       255
	MOVWF       ADCON1+0 
;UsbHid.c,15 :: 		TRISD = 0x00;  // Toutes les broches du PORTD sont configures comme sorties
	CLRF        TRISD+0 
;UsbHid.c,16 :: 		PORTD = 0x00;
	CLRF        PORTD+0 
;UsbHid.c,18 :: 		HID_Enable(&readbuff,&writebuff); // Initalisation USB
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;UsbHid.c,19 :: 		}
	RETURN      0
; end of _init

_main:

;UsbHid.c,21 :: 		void main()
;UsbHid.c,23 :: 		init(); // Initialisation du PIC 18F4550
	CALL        _init+0, 0
;UsbHid.c,25 :: 		while(1)
L_main0:
;UsbHid.c,31 :: 		if(!HID_Read())
	CALL        _HID_Read+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main2
;UsbHid.c,33 :: 		if ( readbuff[0] != 0x00){LATD0_bit = 1;}
	MOVF        1280, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main3
	BSF         LATD0_bit+0, 0 
	GOTO        L_main4
L_main3:
;UsbHid.c,34 :: 		else if ( readbuff[0] == 0x00){LATD0_bit = 0;}
	MOVF        1280, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main5
	BCF         LATD0_bit+0, 0 
L_main5:
L_main4:
;UsbHid.c,36 :: 		if ( readbuff[1] != 0x00){LATD1_bit = 1;}
	MOVF        1281, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main6
	BSF         LATD1_bit+0, 1 
	GOTO        L_main7
L_main6:
;UsbHid.c,37 :: 		else if ( readbuff[1] == 0x00){LATD1_bit = 0;}
	MOVF        1281, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main8
	BCF         LATD1_bit+0, 1 
L_main8:
L_main7:
;UsbHid.c,39 :: 		if ( readbuff[2] != 0x00){LATD2_bit = 1;}
	MOVF        1282, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main9
	BSF         LATD2_bit+0, 2 
	GOTO        L_main10
L_main9:
;UsbHid.c,40 :: 		else if ( readbuff[2] == 0x00){LATD2_bit = 0;}
	MOVF        1282, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main11
	BCF         LATD2_bit+0, 2 
L_main11:
L_main10:
;UsbHid.c,42 :: 		if ( readbuff[3] != 0x00){LATD3_bit = 1;}
	MOVF        1283, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main12
	BSF         LATD3_bit+0, 3 
	GOTO        L_main13
L_main12:
;UsbHid.c,43 :: 		else if ( readbuff[3] == 0x00){LATD3_bit = 0;}
	MOVF        1283, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main14
	BCF         LATD3_bit+0, 3 
L_main14:
L_main13:
;UsbHid.c,45 :: 		if ( readbuff[4] != 0x00){LATD4_bit = 1;}
	MOVF        1284, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main15
	BSF         LATD4_bit+0, 4 
	GOTO        L_main16
L_main15:
;UsbHid.c,46 :: 		else if ( readbuff[4] == 0x00){LATD4_bit = 0;}
	MOVF        1284, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main17
	BCF         LATD4_bit+0, 4 
L_main17:
L_main16:
;UsbHid.c,48 :: 		if ( readbuff[5] != 0x00){LATD5_bit = 1;}
	MOVF        1285, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main18
	BSF         LATD5_bit+0, 5 
	GOTO        L_main19
L_main18:
;UsbHid.c,49 :: 		else if ( readbuff[5] == 0x00){LATD5_bit = 0;}
	MOVF        1285, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main20
	BCF         LATD5_bit+0, 5 
L_main20:
L_main19:
;UsbHid.c,51 :: 		if ( readbuff[6] != 0x00){LATD6_bit = 1;}
	MOVF        1286, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main21
	BSF         LATD6_bit+0, 6 
	GOTO        L_main22
L_main21:
;UsbHid.c,52 :: 		else if ( readbuff[6] == 0x00){LATD6_bit = 0;}
	MOVF        1286, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main23
	BCF         LATD6_bit+0, 6 
L_main23:
L_main22:
;UsbHid.c,54 :: 		if ( readbuff[7] != 0x00){LATD7_bit = 1;}
	MOVF        1287, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main24
	BSF         LATD7_bit+0, 7 
	GOTO        L_main25
L_main24:
;UsbHid.c,55 :: 		else if ( readbuff[7] == 0x00){LATD7_bit = 0;}
	MOVF        1287, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main26
	BCF         LATD7_bit+0, 7 
L_main26:
L_main25:
;UsbHid.c,57 :: 		};
L_main2:
;UsbHid.c,61 :: 		while(!HID_Write(&writebuff,64));
L_main27:
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main28
	GOTO        L_main27
L_main28:
;UsbHid.c,62 :: 		}
	GOTO        L_main0
;UsbHid.c,63 :: 		}
	GOTO        $+0
; end of _main
