unsigned char readbuff[64] absolute 0x500;   // Les tampons doivent tre dans la RAM USB
unsigned char writebuff[64] absolute 0x540;

void interrupt()
{
   USB_Interrupt_Proc(); // La maintenance USB est effectue  l'intrieur de l'interruption
}

void init()
{
  CMCON = 0x07;
  ADON_bit = 0; // On dsactive le convertisseur A/N
  ADCON1 = 0xFFFF;  // On configure les broches en Digital

  TRISD = 0x00;  // Toutes les broches du PORTD sont configures comme sorties
  PORTD = 0x00;

  HID_Enable(&readbuff,&writebuff); // Initalisation USB
}

void main()
{
   init(); // Initialisation du PIC 18F4550

  while(1)
  {
    //==============================================
    //    LECTURE DES DONNEES  PC -> PIC
    // [0] .. [7] permet la lecture dans le buffer
    //==============================================
    if(!HID_Read())
    {
      if ( readbuff[0] != 0x00){LATD0_bit = 1;}
      else if ( readbuff[0] == 0x00){LATD0_bit = 0;}

      if ( readbuff[1] != 0x00){LATD1_bit = 1;}
      else if ( readbuff[1] == 0x00){LATD1_bit = 0;}

      if ( readbuff[2] != 0x00){LATD2_bit = 1;}
      else if ( readbuff[2] == 0x00){LATD2_bit = 0;}

      if ( readbuff[3] != 0x00){LATD3_bit = 1;}
      else if ( readbuff[3] == 0x00){LATD3_bit = 0;}

      if ( readbuff[4] != 0x00){LATD4_bit = 1;}
      else if ( readbuff[4] == 0x00){LATD4_bit = 0;}

      if ( readbuff[5] != 0x00){LATD5_bit = 1;}
      else if ( readbuff[5] == 0x00){LATD5_bit = 0;}

      if ( readbuff[6] != 0x00){LATD6_bit = 1;}
      else if ( readbuff[6] == 0x00){LATD6_bit = 0;}

      if ( readbuff[7] != 0x00){LATD7_bit = 1;}
      else if ( readbuff[7] == 0x00){LATD7_bit = 0;}

    };


      // Envoies des donnes sur BUS USB
      while(!HID_Write(&writebuff,64));
  }
}